import { baseServer, User, root, dict } from '@/api/index'
import fetch from '@/utils/require'

export function list(data) {
	return fetch({
		url: `${baseServer}/managerRecordsPage/${data.pageNum}/${data.pageSize}`,
		method: 'post',
		data: data
	})
}
export function save(data) {
	return fetch({
		url: `${baseServer}/companyFiling`,
		method: 'post',
		data: data
	})
}

export function detail(id) {
	return fetch({
		url: `${baseServer}/companyRecords/${id}`,
		method: 'get'
	})
}

export function audit(data) {
	return fetch({
		url: `${baseServer}/modifyAndStopIndustry/audit`,
		method: 'post',
		data: data
	})
}

// 企业备案申请 - 变更或停歇业详情查看
// type
// （m：变更，s：停歇业）
export function subDetail(id, type) {
	return fetch({
		url: `${baseServer}/viewModifyOrStopIndustry?recordsId=${id}&type=${type}`,
		method: 'get'
	})
}
